Python
import requests
url = "https://app.langwatch.ai/api/prompts/{id}"
payload = { "commitMessage": "<string>" }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"handle": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"projectId": "<string>",
"organizationId": "<string>",
"versionId": "<string>",
"version": 123,
"createdAt": "<string>",
"prompt": "<string>",
"messages": [],
"inputs": [],
"outputs": [
{
"identifier": "<string>",
"json_schema": {
"type": "<string>"
}
}
],
"model": "<string>",
"tags": [],
"parameters": {},
"authorId": "<string>",
"commitMessage": "<string>",
"temperature": 123,
"maxTokens": 123,
"demonstrations": {
"id": "<string>",
"name": "<string>",
"inline": {
"records": {},
"columnTypes": [
{
"name": "<string>",
"type": "<string>",
"id": "<string>"
}
]
}
},
"promptingTechnique": {
"demonstrations": {
"id": "<string>",
"name": "<string>",
"inline": {
"records": {},
"columnTypes": [
{
"name": "<string>",
"type": "<string>",
"id": "<string>"
}
]
}
}
},
"responseFormat": {
"type": "json_schema",
"json_schema": {
"name": "<string>",
"schema": {}
}
}
}Prompts
Update prompt
Update a prompt
PUT
/
api
/
prompts
/
{id}
Python
import requests
url = "https://app.langwatch.ai/api/prompts/{id}"
payload = { "commitMessage": "<string>" }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"handle": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"projectId": "<string>",
"organizationId": "<string>",
"versionId": "<string>",
"version": 123,
"createdAt": "<string>",
"prompt": "<string>",
"messages": [],
"inputs": [],
"outputs": [
{
"identifier": "<string>",
"json_schema": {
"type": "<string>"
}
}
],
"model": "<string>",
"tags": [],
"parameters": {},
"authorId": "<string>",
"commitMessage": "<string>",
"temperature": 123,
"maxTokens": 123,
"demonstrations": {
"id": "<string>",
"name": "<string>",
"inline": {
"records": {},
"columnTypes": [
{
"name": "<string>",
"type": "<string>",
"id": "<string>"
}
]
}
},
"promptingTechnique": {
"demonstrations": {
"id": "<string>",
"name": "<string>",
"inline": {
"records": {},
"columnTypes": [
{
"name": "<string>",
"type": "<string>",
"id": "<string>"
}
]
}
}
},
"responseFormat": {
"type": "json_schema",
"json_schema": {
"name": "<string>",
"schema": {}
}
}
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
1.0 Minimum string length:
1Show child attributes
Show child attributes
Available options:
ORGANIZATION, PROJECT Pattern:
^[a-z0-9_-]+(?:\/[a-z0-9_-]+)?$Response
Success
Available options:
ORGANIZATION, PROJECT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimum array length:
1Show child attributes
Show child attributes
Minimum string length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I